// gnome.xonotic.in.ua

models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip
	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/lamplight_y
{
	q3map_surfacelight 10000
	cull disable
	{
		map textures/effects/envmapmach.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen identity
	}
}

textures/ae_mrcleantex_2/ankhlite_blu_3000
{
	qer_editorimage textures/ae_mrcleantex_2/ankhlite_blu.tga
	q3map_surfacelight 3000
	q3map_lightimage textures/ae_mrcleantex_2/ankhlite_blu.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_blu.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_blu.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ae_mrcleantex_2/ankhlite_red_1000
{
	qer_editorimage textures/ae_mrcleantex_2/ankhlite_red.tga
	q3map_surfacelight 1000
	q3map_lightimage textures/ae_mrcleantex_2/ankhlite_red.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_red.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_red.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ae_mrcleantex_2/ankhlite_ylw_3000
{
	qer_editorimage textures/ae_mrcleantex_2/ankhlite_ylw.tga
	q3map_surfacelight 3000
	q3map_lightimage textures/ae_mrcleantex_2/ankhlite_ylw.blend.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_ylw.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ae_mrcleantex_2/ankhlite_ylw.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/aepyra/aepyra_skybox
{
	qer_editorimage textures/aepyra/skybox1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 255 254 162 155 315 60
	q3map_surfacelight 130
	skyparms env/aepyra/aepyrasky - -
}

textures/base_floor/pjgrate2
{
	surfaceparm metalsteps
	cull none
	{
		map textures/base_floor/pjgrate2.tga
		tcmod scale 2.0 2.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/bounce_largeblock3b
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_largeblock3b.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc gl_one gl_one
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/launchpad_blocks18d
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/sfx/launchpad_blocks18d.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/sfx/launchpad_dot.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}

textures/sfx/proto_zzztblu3
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/sfx/proto_zzztblu3.tga
		tcgen environment
		tcmod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
}

